%define upstream_name    PAUSE-Permissions
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    PAUSE permissions for one module (from 06perms.txt)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PAUSE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
PAUSE::Permissions provides an interface to the '06perms.txt' file produced
by the Perl Authors Upload Server (PAUSE). The file records who has what
permissions for every module on CPAN. The format and interpretation of this
file are covered in the /"The 06perms.txt file" manpage below.

By default, the module will mirror '06perms.txt' from CPAN, using the
HTTP::Tiny manpage to request it and store it locally. By default it will
get the file from the http://www.cpan.org manpage, but you can pass an
alternate URI to the constructor:

  $perms_uri = "http://$CPAN_MIRROR/modules/06perms.txt";
  $pp = PAUSE::Permissions->new(uri => $perms_uri);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 371179
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 315806
- update to 0.04

* Tue Oct 16 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 307208
- imported package perl-PAUSE-Permissions

